## SoupCookieJarDB

SoupCookieJarDB — Database-based Cookie Jar

## Functions

SoupCookieJar * | soup_cookie_jar_db_new ()

## Properties

gchar * | filename | Read / Write / Construct Only

## Types and Values

| SoupCookieJarDB
#define | SOUP_COOKIE_JAR_DB_FILENAME

## Object Hierarchy

        GObject
        ╰── SoupCookieJar
            ╰── SoupCookieJarDB

## Implemented Interfaces

SoupCookieJarDB implements SoupSessionFeature.

## Includes

    #include <libsoup/soup.h>

## Description

SoupCookieJarDB is a SoupCookieJar that reads cookies from and writes them to a sqlite database in the new Mozilla format.

(This is identical to `SoupCookieJarSqlite` in libsoup-gnome; it has just been moved into libsoup proper, and renamed to avoid conflicting.)

## Functions

### soup_cookie_jar_db_new ()

    SoupCookieJar *
    soup_cookie_jar_db_new (const char *filename,
                            gboolean read_only);

Creates a SoupCookieJarDB.

`filename` will be read in at startup to create an initial set of cookies. If `read_only` is `FALSE`, then the non-session cookies will be written to `filename` when the 'changed' signal is emitted from the jar. (If `read_only` is `TRUE`, then the cookie jar will only be used for this session, and changes made to it will be lost when the jar is destroyed.)

#### Parameters

filename | the filename to read to/write from, or `NULL` |
read_only | `TRUE` if `filename` is read-only |

#### Returns

the new SoupCookieJar

Since: 2.42

## Types and Values

### SoupCookieJarDB

    typedef struct _SoupCookieJarDB SoupCookieJarDB;

### SOUP_COOKIE_JAR_DB_FILENAME

    #define SOUP_COOKIE_JAR_DB_FILENAME  "filename"

Alias for the “filename” property. (The cookie-storage filename.)

## Property Details

### The `“filename”` property

      “filename”                 gchar *

Cookie-storage filename.

Flags: Read / Write / Construct Only

Default value: NULL